API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

POST
/servers/{server_uuid}/destinations

Create a Docker network destination on a server owned by the authenticated team.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

server_uuid*string

Server UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Lengthlength <= 255
network*string
Match^[a-zA-Z0-9][a-zA-Z0-9._-]*$
Lengthlength <= 255
type?string
Value in"standalone" | "swarm"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/servers/string/destinations" \  -H "Content-Type: application/json" \  -d '{    "network": "string"  }'
{  "uuid": "string",  "name": "string",  "network": "string",  "type": "standalone",  "server_uuid": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
Empty
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}